Skip to main content
POST
/
n8n
/
create
/
{instance}
Create a new n8n bot instance
curl --request POST \
  --url https://api.zapthinker.com/n8n/create/{instance} \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --data '
{
  "enabled": true,
  "webhookUrl": "<string>",
  "basicAuthUser": "<string>",
  "basicAuthPassword": "<string>",
  "triggerType": "all",
  "triggerOperator": "contains",
  "triggerValue": "<string>",
  "expire": 123,
  "keywordFinish": "<string>",
  "delayMessage": 123,
  "unknownMessage": "<string>",
  "listeningFromMe": true,
  "stopBotFromMe": true,
  "keepOpen": true,
  "debounceTime": 123,
  "ignoreJids": [
    "<string>"
  ]
}
'
{
  "message": "n8n bot instance created successfully"
}

Documentation Index

Fetch the complete documentation index at: https://docs.zapthinker.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
header
required

Your authorization key header

Path Parameters

instance
string
required

Name of the instance

Body

application/json

Configuration for the n8n bot instance

enabled
boolean
required
webhookUrl
string
required
basicAuthUser
string
basicAuthPassword
string
triggerType
enum<string>
Available options:
all,
keyword
triggerOperator
enum<string>
Available options:
contains,
equals,
startsWith,
endsWith,
regex,
none
triggerValue
string
expire
integer
keywordFinish
string
delayMessage
integer
unknownMessage
string
listeningFromMe
boolean
stopBotFromMe
boolean
keepOpen
boolean
debounceTime
integer
ignoreJids
string[]

Response

n8n bot instance created successfully

message
string
Example:

"n8n bot instance created successfully"